import axios from "axios"
import { baseURL } from "./my-account";

const http=axios.create({
    baseURL,
    timeout: 3000
});
//请求拦截器
http.interceptors.request.use((config)=>{
    // config.headers.token=""
    return config;
});

//响应拦截器
http.interceptors.response.use((res)=>{
    return res.data;
});

export default{
    get(url,params){
        return http.get(url,{params});
    },
    post(url,data){
        return http.post(url,data);
    },
}